<i
  nz-icon
  [nzType]="'filter'"
  [nzTheme]="getFilterIconStyle(isChecked)"
  nz-popover
  nzPopoverPlacement="bottomRight"
  [nzPopoverContent]="filterMenu"
  class="current-workspace-button action-icon-size"
  [attr.data-test-toolbar-button-id]="'filter-button'"
  (click)="preventClickPropagation($event)"
></i>

<ng-template #filterMenu>
  <label
    nz-checkbox
    [nzChecked]="isChecked"
    (nzCheckedChange)="confirm($event)"
  >
    {{ checkBoxLabel | translate }}</label
  >
  <i
    nz-icon
    nzType="sqtm-core-generic:help"
    nzTheme="outline"
    nz-tooltip
    [nzTooltipTitle]="helpTooltip | translate"
    [nzTooltipPlacement]="'bottomRight'"
    class="current-workspace-button tooltip-icon table-icon-size"
  >
  </i>
</ng-template>
